# CEGUI::PushButtonProperties Namespace Reference

Namespace containing all classes that make up the properties interface for the PushButton class. More...

## Classes

class | NormalImage
| Property to access the normal image of the button. More...
class | PushedImage
| Property to access the pushed image of the button. More...
class | HoverImage
| Property to access the hover image of the button. More...
class | DisabledImage
| Property to access the disabled image of the button. More...
class | UseStandardImagery
| Property to access whether to use the standard images or the supplied custom ones. More...
class | TextXOffset
| Property to access an offset that is used to shift the text in the x-direction. More...

## Detailed Description

Namespace containing all classes that make up the properties interface for the PushButton class.